<?php 
function urlamigable($titulo) {
	$titulo = trim($titulo);
	  $titulo = str_replace(
	      array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
	      'a',
	      $titulo
	  );

	  $titulo = str_replace(
	      array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
	      'e',
	      $titulo
	  );

	  $titulo = str_replace(
	      array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
	      'i',
	      $titulo
	  );

	  $titulo = str_replace(
	      array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
	      'o',
	      $titulo
	  );

	  $titulo = str_replace(
	      array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
	      'u',
	      $titulo
	  );

	  $titulo = str_replace(
	      array('ñ', 'Ñ', 'ç', 'Ç'),
	      array('n', 'N', 'c', 'C',),
	      $titulo
	  );

	    $titulo = str_replace(
	        array("\\", "¨", "º", "-", "~",
	             "#", "@", "|", "!", "\"",
	             "·", "$", "%", "&", "/",
	             "(", ")", "?", "'", "¡",
	             "¿", "[", "^", "`", "]",
	             "+", "}", "{", "¨", "´",
	             ">", "< ", ";", ",", ":",
	             ".", " "),
	        '-',
	        $titulo
	    );

  return $titulo;
}


function validacion_usuario(mysqli $con){
	if(!isset($_SESSION['user'])|| !isset($_SESSION['pass'])){
	  header("Location: login.php");
	}else{
	
	    $sql= "SELECT * FROM usuario WHERE usuario = '".$_SESSION['user']."' and clave = '".$_SESSION['pass']."' and estado ='1'";
	    $result=mysqli_query($con,$sql);
	    if (mysqli_num_rows($result) == 1){
	    	$AccesoPermitido = 1;
	    	return 1;
		}
	}
	if($AccesoPermitido != 1){
	    header("Location: login.php");
	}
}

function subir_imagen($inicio,$fin,$restriccion,$img_file_cabecera,$img_file_interna,$img_file_redes,$dir){
	$array_columna=array('imagen_cabecera','imagen_interna','imagen_redes');
	$array_imagen=array($img_file_cabecera,$img_file_interna,$img_file_redes);

	$valorSubida1="0";
	for($i=$inicio;$i<=$fin;$i++){		
		/*$extension = end(explode('.',$array_imagen[$i]['name']));*/
		$tmp = explode('.',$array_imagen[$i]['name']);
		$extension = end($tmp);
    	$foto = substr(md5(uniqid(rand())),0,10).".".$extension;	    	
    	$directorioImagen = $dir.'/'.$foto;		
    	$nuevos_nombres[$i] = $foto; 			
	    if(move_uploaded_file($array_imagen[$i]['tmp_name'], $directorioImagen)) {
	        chmod($dir.'/'.basename($foto),0777);
			if($array_columna[$i] == $restriccion){
				$minFoto = 'mobile_'.$foto;
            	resizeImagen($dir.'/', $foto, 380, 730,$minFoto,$extension);					  
        	}
        	$valorSubida1 = "1";
		}			
    }

return array($valorSubida1,$nuevos_nombres);
}


function subir_imagen_banner($inicio,$fin,$restriccion,$img_file_escritorio,$img_file_mobile,$dir){
	$array_columna=array('imagen_escritorio','imagen_mobile');
	$array_imagen=array($img_file_escritorio,$img_file_mobile);

	$valorSubida1="0";
	for($i=$inicio;$i<=$fin;$i++){		
		//$extension = end(explode('.',$array_imagen[$i]['name']));
		$tmp = explode('.',$array_imagen[$i]['name']);
		$extension = end($tmp);

    	$foto = substr(md5(uniqid(rand())),0,10).".".$extension;	 
    	$directorioImagen = $dir.'/'.$foto;		
    	$nuevos_nombres[$i] = $foto; 			
	    if(move_uploaded_file($array_imagen[$i]['tmp_name'], $directorioImagen)) {
			chmod($dir.'/'.basename($foto),0777);
        	$valorSubida1 = "1";
		}			
    }

return array($valorSubida1,$nuevos_nombres);
}

function subir_imagen_caso($inicio,$fin,$restriccion,$img_file_escritorio,$img_file_mobile,$dir){
	$array_columna=array('imagen_escritorio','imagen_mobile');
	$array_imagen=array($img_file_escritorio,$img_file_mobile);

	$valorSubida1="0";
	for($i=$inicio;$i<=$fin;$i++){		
		//$extension = end(explode('.',$array_imagen[$i]['name']));
		$tmp = explode('.',$array_imagen[$i]['name']);
		$extension = end($tmp);

    	$foto = substr(md5(uniqid(rand())),0,10).".".$extension;	 
    	$directorioImagen = $dir.'/'.$foto;		
    	$nuevos_nombres[$i] = $foto; 			
	    if(move_uploaded_file($array_imagen[$i]['tmp_name'], $directorioImagen)) {
			chmod($dir.'/'.basename($foto),0777);
        	$valorSubida1 = "1";
		}			
    }

return array($valorSubida1,$nuevos_nombres);

}


function validar_imagen_bd($inicio,$imagen_cabecera,$imagen_interna,$fin,mysqli $con){
	$array_columna=array('imagen_cabecera','imagen_interna');
	$array_imagen=array($imagen_cabecera,$imagen_interna);
	$valorArchivo1="1";
	for($i=$inicio;$i<=$fin;$i++){
		for($m=0;$m<=1;$m++){
			$sql02_nuevo = "select ". $array_columna[$m]." from noticias where ". $array_columna[$m]."='". $array_imagen[$i]."'";
			$result_nuevo=mysqli_query($con,$sql02_nuevo);		
			$filas = mysqli_num_rows($result_nuevo); 
			if($filas != 0){
				while ($fila_nuevo =mysqli_fetch_assoc($result_nuevo)) {
					if ($array_imagen[$i] == $fila_nuevo[$array_columna[$m]]) {
						echo "La im&aacute;gen <strong> ".$array_imagen[$i]."</strong> ya se encuentra en la Base de Datos.<br />";
						 $valorArchivo1 = "0";
						 break;										 
					}
				}
		    }
		}
	}
	return $valorArchivo1;
}



function validar_imagen_escritorio_bd($imagen,$campo,$tabla,mysqli $con) {
	$sql = "select ". $campo." from ". $tabla." where imagen_escritorio='".$imagen."'";
	$result=mysqli_query($con,$sql);
	$filas = mysqli_num_rows($result); 
	$valor="";
	if($filas != 0 ){
		while ($filas =mysqli_fetch_assoc($result)) {
			if ( $imagen == $filas[$campo] ) {
				echo "La imagen cabecera <strong>".$filas[$campo]."</strong> ya se encuentra en la Base de Datos.<br />";
				 $valor1 = "existente";
				 return $valor;
			}
		}
	}
}


function resizeImagen($ruta, $nombre, $alto, $ancho,$nombreN,$extension){
    $rutaImagenOriginal = $ruta.$nombre;
    if($extension == 'GIF' || $extension == 'gif'){
    $img_original = imagecreatefromgif($rutaImagenOriginal);
    }
    if($extension == 'jpg' || $extension == 'JPG'){
    $img_original = imagecreatefromjpeg($rutaImagenOriginal);
    }
    if($extension == 'png' || $extension == 'PNG'){
    $img_original = imagecreatefrompng($rutaImagenOriginal);
    }
    $max_ancho = $ancho;
    $max_alto = $alto;
    list($ancho,$alto)=getimagesize($rutaImagenOriginal);
    $x_ratio = $max_ancho / $ancho;
    $y_ratio = $max_alto / $alto;
    if( ($ancho <= $max_ancho) && ($alto <= $max_alto) ){//Si ancho 
  	$ancho_final = $ancho;
		$alto_final = $alto;
	} elseif (($x_ratio * $alto) < $max_alto){
		$alto_final = ceil($x_ratio * $alto);
		$ancho_final = $max_ancho;
	} else{
		$ancho_final = ceil($y_ratio * $ancho);
		$alto_final = $max_alto;
	}
    $tmp=imagecreatetruecolor($ancho_final,$alto_final);
    imagecopyresampled($tmp,$img_original,0,0,0,0,$ancho_final, $alto_final,$ancho,$alto);
    imagedestroy($img_original);
    $calidad=100;
    imagejpeg($tmp,$ruta.$nombreN,$calidad);    
}

 ?>